org.eclipse.jetty.servlet.listener

## Class IntrospectorCleaner

- java.lang.Object
- - org.eclipse.jetty.servlet.listener.IntrospectorCleaner

- All Implemented Interfaces:
    EventListener, javax.servlet.ServletContextListener

      public class IntrospectorCleaner
      extends Object
      implements javax.servlet.ServletContextListener

  IntrospectorCleaner Cleans a static cache of Methods held by java.beans.Introspector class when a context is undeployed.
  See Also:
    `Introspector`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntrospectorCleaner()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `contextDestroyed(javax.servlet.ServletContextEvent sce)`
    `void` | `contextInitialized(javax.servlet.ServletContextEvent sce)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntrospectorCleaner

          public IntrospectorCleaner()

  - ### Method Detail

    - #### contextInitialized

          public void contextInitialized(javax.servlet.ServletContextEvent sce)

      Specified by:
        `contextInitialized` in interface `javax.servlet.ServletContextListener`

    - #### contextDestroyed

          public void contextDestroyed(javax.servlet.ServletContextEvent sce)

      Specified by:
        `contextDestroyed` in interface `javax.servlet.ServletContextListener`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.